View Issue Details

IDProjectCategoryView StatusLast Update
0034782FPCCompilerpublic2019-01-01 11:46
ReporterKarl-Michael SchindlerAssigned ToFlorian 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformdarwinOSMac OS XOS Version10.5, 10.6
Product Version3.3.1Product Buildsvn revision 40706 
Target VersionFixed in Version3.3.1 
Summary0034782: Revision 40706 breaks building target mips-linux.
DescriptionRevision 40706 breaks building target mips-linux with:

...
mipsel-linux-as -32 -mabi=32 -mips2 -EL -KPIC -o /BlaBla/FreePascal/rtl/units/mipsel-linux/gprt0.o mipsel/gprt0.as
/BlaBla/FreePascal/compiler/ppcrossmipsel -Ur -Ur -Tlinux -Pmipsel -XPmipsel-linux- -Xr -Ur -Xs -O2 -n -Fi../inc -Fi../mipsel -Fi../unix -Fimipsel -FE. -FU/BlaBla/FreePascal/rtl/units/mipsel-linux -Cg -ap -Fl/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/lib -dmipsel -dRELEASE -Us -Sg system.pp
ossysc.inc(167,24) Fatal: Internal error 2014082901
Fatal: Compilation aborted
...
Steps To Reproducemake command:

make all OPT="-ap" OS_TARGET=linux CPU_TARGET=mipsel
TagsNo tags attached.
Fixed in Revision40721
FPCOldBugId
FPCTarget
Attached Files

Activities

J. Gareth Moreton

2018-12-30 23:58

developer   ~0113027

Are you able to get an assembly dump of compiler/mips/cgcpu.pas? I want to make sure my case node optimisations haven't caused yet another failure.

Jonas Maebe

2018-12-31 13:25

manager   ~0113041

Last edited: 2018-12-31 13:25

View 2 revisions

You can reproduce it on x86-64 by commenting out nx64set from compiler/x86_64/cpunode.pas so that the generic code gets used.

Karl-Michael Schindler

2019-01-01 11:46

reporter   ~0113059

Fix confirmed. Thanks to all.

Issue History

Date Modified Username Field Change
2018-12-30 23:55 Karl-Michael Schindler New Issue
2018-12-30 23:58 J. Gareth Moreton Note Added: 0113027
2018-12-31 13:25 Jonas Maebe Note Added: 0113041
2018-12-31 13:25 Jonas Maebe Note Edited: 0113041 View Revisions
2019-01-01 02:11 Florian Fixed in Revision => 40721
2019-01-01 02:11 Florian Status new => resolved
2019-01-01 02:11 Florian Fixed in Version => 3.3.1
2019-01-01 02:11 Florian Resolution open => fixed
2019-01-01 02:11 Florian Assigned To => Florian
2019-01-01 11:46 Karl-Michael Schindler Note Added: 0113059
2019-01-01 11:46 Karl-Michael Schindler Status resolved => closed